## PBM Indication Register request PBM Indication Register request |

## Functions

QmiMessagePbmIndicationRegisterInput * | qmi_message_pbm_indication_register_input_new ()
QmiMessagePbmIndicationRegisterInput * | qmi_message_pbm_indication_register_input_ref ()
void | qmi_message_pbm_indication_register_input_unref ()
gboolean | qmi_message_pbm_indication_register_input_get_event_registration_mask ()
gboolean | qmi_message_pbm_indication_register_input_set_event_registration_mask ()
QmiMessagePbmIndicationRegisterOutput * | qmi_message_pbm_indication_register_output_ref ()
void | qmi_message_pbm_indication_register_output_unref ()
gboolean | qmi_message_pbm_indication_register_output_get_result ()
gboolean | qmi_message_pbm_indication_register_output_get_event_registration_mask ()
void | qmi_client_pbm_indication_register ()
QmiMessagePbmIndicationRegisterOutput * | qmi_client_pbm_indication_register_finish ()

## Types and Values

| QmiMessagePbmIndicationRegisterInput
| QmiMessagePbmIndicationRegisterOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePbmIndicationRegisterInput
        ╰── QmiMessagePbmIndicationRegisterOutput

## Description

## Functions

### qmi_message_pbm_indication_register_input_new ()

    QmiMessagePbmIndicationRegisterInput *
    qmi_message_pbm_indication_register_input_new
                                   (void);

Allocates a new QmiMessagePbmIndicationRegisterInput.

#### Returns

the newly created QmiMessagePbmIndicationRegisterInput. The returned value should be freed with `qmi_message_pbm_indication_register_input_unref()`.

Since: 1.6

### qmi_message_pbm_indication_register_input_ref ()

    QmiMessagePbmIndicationRegisterInput *
    qmi_message_pbm_indication_register_input_ref
                                   (QmiMessagePbmIndicationRegisterInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePbmIndicationRegisterInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_pbm_indication_register_input_unref ()

    void
    qmi_message_pbm_indication_register_input_unref
                                   (QmiMessagePbmIndicationRegisterInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePbmIndicationRegisterInput. |

Since: 1.6

### qmi_message_pbm_indication_register_input_get_event_registration_mask ()

    gboolean
    qmi_message_pbm_indication_register_input_get_event_registration_mask
                                   (QmiMessagePbmIndicationRegisterInput *self,
                                    QmiPbmEventRegistrationFlag *value_event_registration_mask,
                                    GError **error);

Get the 'Event Registration Mask' field from `self` .

#### Parameters

self | a QmiMessagePbmIndicationRegisterInput. |
value_event_registration_mask | a placeholder for the output QmiPbmEventRegistrationFlag, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_indication_register_input_set_event_registration_mask ()

    gboolean
    qmi_message_pbm_indication_register_input_set_event_registration_mask
                                   (QmiMessagePbmIndicationRegisterInput *self,
                                    QmiPbmEventRegistrationFlag value_event_registration_mask,
                                    GError **error);

Set the 'Event Registration Mask' field in the message.

#### Parameters

self | a QmiMessagePbmIndicationRegisterInput. |
value_event_registration_mask | a QmiPbmEventRegistrationFlag. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_indication_register_output_ref ()

    QmiMessagePbmIndicationRegisterOutput *
    qmi_message_pbm_indication_register_output_ref
                                   (QmiMessagePbmIndicationRegisterOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePbmIndicationRegisterOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_pbm_indication_register_output_unref ()

    void
    qmi_message_pbm_indication_register_output_unref
                                   (QmiMessagePbmIndicationRegisterOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePbmIndicationRegisterOutput. |

Since: 1.6

### qmi_message_pbm_indication_register_output_get_result ()

    gboolean
    qmi_message_pbm_indication_register_output_get_result
                                   (QmiMessagePbmIndicationRegisterOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePbmIndicationRegisterOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.6

### qmi_message_pbm_indication_register_output_get_event_registration_mask ()

    gboolean
    qmi_message_pbm_indication_register_output_get_event_registration_mask
                                   (QmiMessagePbmIndicationRegisterOutput *self,
                                    QmiPbmEventRegistrationFlag *value_event_registration_mask,
                                    GError **error);

Get the 'Event Registration Mask' field from `self` .

#### Parameters

self | a QmiMessagePbmIndicationRegisterOutput. |
value_event_registration_mask | a placeholder for the output QmiPbmEventRegistrationFlag, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_client_pbm_indication_register ()

    void
    qmi_client_pbm_indication_register (QmiClientPbm *self,
                                        QmiMessagePbmIndicationRegisterInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Indication Register request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pbm_indication_register_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPbm. |
input | a QmiMessagePbmIndicationRegisterInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_pbm_indication_register_finish ()

    QmiMessagePbmIndicationRegisterOutput *
    qmi_client_pbm_indication_register_finish
                                   (QmiClientPbm *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pbm_indication_register()`.

#### Parameters

self | a QmiClientPbm. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pbm_indication_register()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePbmIndicationRegisterOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pbm_indication_register_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessagePbmIndicationRegisterInput

    typedef struct _QmiMessagePbmIndicationRegisterInput QmiMessagePbmIndicationRegisterInput;

The QmiMessagePbmIndicationRegisterInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessagePbmIndicationRegisterOutput

    typedef struct _QmiMessagePbmIndicationRegisterOutput QmiMessagePbmIndicationRegisterOutput;

The QmiMessagePbmIndicationRegisterOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6